org.bootchart.common

## Class DiskUtilSample

- java.lang.Object
- - org.bootchart.common.Sample
  - - org.bootchart.common.DiskUtilSample

-     public class DiskUtilSample
      extends Sample

  Disk I/O utilization sample.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `util` Disk utilization [0.0, 1.0].

    - ### Fields inherited from class org.bootchart.common.Sample

      `time, TIME_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskUtilSample(java.util.Date time, double util)` Creates a new sample.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns the string representation of the sample.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### util

          public double util

      Disk utilization [0.0, 1.0].

  - ### Constructor Detail

    - #### DiskUtilSample

          public DiskUtilSample(java.util.Date time,
                                double util)

      Creates a new sample.
      Parameters:
        `time` - sample time
        `util` - disk utilization

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the string representation of the sample.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string representation